From mboxrd@z Thu Jan  1 00:00:00 1970
Return-Path: <gentoo-commits+bounces-1024493-garchives=archives.gentoo.org@lists.gentoo.org>
Received: from lists.gentoo.org (pigeon.gentoo.org [208.92.234.80])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(No client certificate requested)
	by finch.gentoo.org (Postfix) with ESMTPS id D4CC11382C5
	for <garchives@archives.gentoo.org>; Wed, 16 May 2018 20:42:42 +0000 (UTC)
Received: from pigeon.gentoo.org (localhost [127.0.0.1])
	by pigeon.gentoo.org (Postfix) with SMTP id E17F8E08E2;
	Wed, 16 May 2018 20:42:41 +0000 (UTC)
Received: from smtp.gentoo.org (smtp.gentoo.org [140.211.166.183])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by pigeon.gentoo.org (Postfix) with ESMTPS id BD2CBE08E2
	for <gentoo-commits@lists.gentoo.org>; Wed, 16 May 2018 20:42:41 +0000 (UTC)
Received: from oystercatcher.gentoo.org (unknown [IPv6:2a01:4f8:202:4333:225:90ff:fed9:fc84])
	(using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
	(No client certificate requested)
	by smtp.gentoo.org (Postfix) with ESMTPS id 586F4335C2E
	for <gentoo-commits@lists.gentoo.org>; Wed, 16 May 2018 20:42:40 +0000 (UTC)
Received: from localhost.localdomain (localhost [IPv6:::1])
	by oystercatcher.gentoo.org (Postfix) with ESMTP id BC26227B
	for <gentoo-commits@lists.gentoo.org>; Wed, 16 May 2018 20:42:38 +0000 (UTC)
From: "Denis Dupeyron" <calchan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Content-Transfer-Encoding: 8bit
Content-type: text/plain; charset=UTF-8
Reply-To: gentoo-dev@lists.gentoo.org, "Denis Dupeyron" <calchan@gentoo.org>
Message-ID: <1526503352.1aa4c56d9cf29a30c1f1f8ae65da52d924b8c907.calchan@gentoo>
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/jira/
X-VCS-Repository: repo/gentoo
X-VCS-Files: dev-python/jira/jira-1.0.14-r1.ebuild dev-python/jira/metadata.xml
X-VCS-Directories: dev-python/jira/
X-VCS-Committer: calchan
X-VCS-Committer-Name: Denis Dupeyron
X-VCS-Revision: 1aa4c56d9cf29a30c1f1f8ae65da52d924b8c907
X-VCS-Branch: master
Date: Wed, 16 May 2018 20:42:38 +0000 (UTC)
Precedence: bulk
List-Post: <mailto:gentoo-commits@lists.gentoo.org>
List-Help: <mailto:gentoo-commits+help@lists.gentoo.org>
List-Unsubscribe: <mailto:gentoo-commits+unsubscribe@lists.gentoo.org>
List-Subscribe: <mailto:gentoo-commits+subscribe@lists.gentoo.org>
List-Id: Gentoo Linux mail <gentoo-commits.gentoo.org>
X-BeenThere: gentoo-commits@lists.gentoo.org
X-Archives-Salt: 42b7b3da-1ea2-46ce-8142-0a927ca6071e
X-Archives-Hash: 1e07e49e146f217f8026772d4b0e5de7

commit:     1aa4c56d9cf29a30c1f1f8ae65da52d924b8c907
Author:     Denis Dupeyron <calchan <AT> gentoo <DOT> org>
AuthorDate: Wed May 16 20:40:23 2018 +0000
Commit:     Denis Dupeyron <calchan <AT> gentoo <DOT> org>
CommitDate: Wed May 16 20:42:32 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1aa4c56d

dev-python/jira: fixed bug 655854, added kerberos authentication

 dev-python/jira/jira-1.0.14-r1.ebuild | 39 +++++++++++++++++++++++++++++++++++
 dev-python/jira/metadata.xml          |  2 ++
 2 files changed, 41 insertions(+)

diff --git a/dev-python/jira/jira-1.0.14-r1.ebuild b/dev-python/jira/jira-1.0.14-r1.ebuild
new file mode 100644
index 00000000000..70df2a7ab9b
--- /dev/null
+++ b/dev-python/jira/jira-1.0.14-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+inherit distutils-r1
+
+DESCRIPTION="Python library for interacting with the JIRA REST API"
+HOMEPAGE="https://jira.readthedocs.io/en/latest/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="filemagic jirashell kerberos oauth"
+
+DEPEND="
+	>=dev-python/pbr-3.0[${PYTHON_USEDEP}]
+	dev-python/pytest-runner[${PYTHON_USEDEP}]
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	"
+RDEPEND="
+	dev-python/defusedxml[${PYTHON_USEDEP}]
+	dev-python/requests[${PYTHON_USEDEP}]
+	dev-python/requests-toolbelt[${PYTHON_USEDEP}]
+	dev-python/six[${PYTHON_USEDEP}]
+	filemagic? ( dev-python/filemagic[${PYTHON_USEDEP}] )
+	jirashell? (
+		dev-python/ipython[${PYTHON_USEDEP}]
+		dev-python/requests-oauthlib[${PYTHON_USEDEP}]
+	)
+	kerberos? ( $(python_gen_cond_dep 'dev-python/requests-kerberos[${PYTHON_USEDEP}]' -3) )
+	oauth? (
+		|| ( dev-python/pycryptodome[${PYTHON_USEDEP}] dev-python/pycrypto[${PYTHON_USEDEP}] )
+		dev-python/requests-oauthlib[${PYTHON_USEDEP}]
+	)
+	"
+
+REQUIRED_USE="kerberos? ( !python_targets_python2_7 )"

diff --git a/dev-python/jira/metadata.xml b/dev-python/jira/metadata.xml
index 59bf90305a6..20544ce8d99 100644
--- a/dev-python/jira/metadata.xml
+++ b/dev-python/jira/metadata.xml
@@ -19,6 +19,8 @@
   <use>
     <flag name="filemagic">Include filemagic support (for identifying uploaded filetypes)</flag>
     <flag name="ipython">Include Interactive Python (IPython)</flag>
+    <flag name="jirashell">Include dependencies for jirashell (ipython, oauthlib)</flag>
+    <flag name="kerberos">Support Kerberos authentication</flag>
     <flag name="oauth">Support OAuth authentication</flag>
   </use>
 </pkgmetadata>